package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbDutyWorkRecord;
import com.ruoyi.system.domain.zb.ZbDutyWorkRecordExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbDutyWorkRecordMapper {
    long countByExample(ZbDutyWorkRecordExample example);

    int deleteByExample(ZbDutyWorkRecordExample example);

    int deleteByPrimaryKey(String id);

    int insert(ZbDutyWorkRecord record);

    int insertSelective(ZbDutyWorkRecord record);

    List<ZbDutyWorkRecord> selectByExample(ZbDutyWorkRecordExample example);

    ZbDutyWorkRecord selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") ZbDutyWorkRecord record, @Param("example") ZbDutyWorkRecordExample example);

    int updateByExample(@Param("record") ZbDutyWorkRecord record, @Param("example") ZbDutyWorkRecordExample example);

    int updateByPrimaryKeySelective(ZbDutyWorkRecord record);

    int updateByPrimaryKey(ZbDutyWorkRecord record);
}